package cn.ibizlab.core.analysis.service;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.util.Collection;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.scheduling.annotation.Async;
import com.alibaba.fastjson.JSONObject;
import org.springframework.cache.annotation.CacheEvict;

import cn.ibizlab.core.analysis.domain.DADimension;
import cn.ibizlab.core.analysis.filter.DADimensionSearchContext;


/**
 * 实体[DADimension] 服务对象接口
 */
public interface IDADimensionService {

    boolean create(DADimension et);
    void createBatch(List<DADimension> list);
    boolean update(DADimension et);
    void updateBatch(List<DADimension> list);
    boolean remove(String key);
    void removeBatch(Collection<String> idList);
    DADimension get(String key);
    DADimension getDraft(DADimension et);
    boolean checkKey(DADimension et);
    boolean save(DADimension et);
    void saveBatch(List<DADimension> list);
    Page<DADimension> searchDefault(DADimensionSearchContext context);
    List<DADimension> selectByBuildid(String build_id);
    void removeByBuildid(String build_id);
    void saveByBuildid(String build_id, List<DADimension> list) ;

}



